﻿package{
	
	import flash.display.Sprite;
	import flash.display.BitmapData;
	import flash.display.Bitmap;
	
	import flash.events.Event;
	
	public class Sphere extends Sprite{
		
		private var _screen:BitmapData;
		
		public function Sphere():void{
			/*on cree le background ou les vecteurs vont être arrêtés*/
			_screen = new BitmapData(stage.stageWidth,stage.stageHeight,false,0x000000);
			/*on en fait un bitmap*/
			var bitmap:Bitmap = new Bitmap(_screen);
			/*on affiche le bitmap*/
			addChild(bitmap);
			
			
			/*on affecte un evenement ENTERFRAME*/
			addEventListener(Event.ENTER_FRAME,onEnterFrame);
			
			}
			
		private function onEnterFrame(e:Event):void{
			_screen.fillRect(_screen.rect,0xffffff);
			
			var line:Sprite = new Sprite();
			line.graphics.lineStyle(1,0x000000,0.1);
			
			
			
			var val:Number;
			
			/*lignes horizontales*/
			var w:uint = 150;
			for(var i:uint=0;i<1080;i++){
				val = Math.sin(Math.PI*i/180)*(mouseX+mouseY)/mouseY;
				line.graphics.moveTo((val*100)+w,7);
				line.graphics.lineTo((val*100)+w,600);
				
				if(i%180 == 0 && i!=0s){
					w+=200;
					}
				}
				
			/*lignes verticales*/	
			w  = 100;
			for(i=0;i<1080;i+=5){
				val = Math.sin(Math.PI*i/180)*(mouseX+mouseY)/mouseY;;
				line.graphics.moveTo(0,(val*10)-w);
				line.graphics.lineTo(600,(val*200)-w);
				
				if(i%360 == 0 && i!=0){
					w+=200;
					}
				}
				
				
			_screen.draw(line);
			line.graphics.clear();
			}
		
		}
	
	}